Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_addrinfo_t Struct Reference

## Data Fields
VALUE | inspectname
VALUE | canonname
int | pfamily
int | socktype
int | protocol
socklen_t | sockaddr_len
union_sockaddr | addr

## Detailed Description

Definition at line 827 of file raddrinfo.c.

## Field Documentation

## ◆ addr

union_sockaddr rb_addrinfo_t::addr

Definition at line 834 of file raddrinfo.c.

## ◆ canonname

VALUE rb_addrinfo_t::canonname

Definition at line 829 of file raddrinfo.c.

## ◆ inspectname

VALUE rb_addrinfo_t::inspectname

Definition at line 828 of file raddrinfo.c.

## ◆ pfamily

int rb_addrinfo_t::pfamily

Definition at line 830 of file raddrinfo.c.

## ◆ protocol

int rb_addrinfo_t::protocol

Definition at line 832 of file raddrinfo.c.

## ◆ sockaddr_len

socklen_t rb_addrinfo_t::sockaddr_len

Definition at line 833 of file raddrinfo.c.

## ◆ socktype

int rb_addrinfo_t::socktype

Definition at line 831 of file raddrinfo.c.

The documentation for this struct was generated from the following file:

- ext/socket/raddrinfo.c